package top.daxian1218.dust.commons.json;

import com.alibaba.fastjson.serializer.JSONSerializer;
import com.alibaba.fastjson.serializer.ObjectSerializer;
import top.daxian1218.dust.commons.data.HDataRow;
import top.daxian1218.dust.commons.data.HDataRowCollection;

import java.io.IOException;
import java.lang.reflect.Type;

public class HDataRowCollectionSerializer implements ObjectSerializer {
    @Override
    public void write(JSONSerializer serializer, Object object, Object fieldName, Type fieldType, int features) throws IOException {
        HDataRowCollection collection = (HDataRowCollection) object;
        serializer.write(collection.stream().map(HDataRow::toJSON));
    }
}
