package top.daxian1218.dust.commons.json;

import com.alibaba.fastjson.serializer.JSONSerializer;
import com.alibaba.fastjson.serializer.ObjectSerializer;
import com.alibaba.fastjson.serializer.SerializeWriter;
import top.daxian1218.dust.commons.data.HDataRow;
import top.daxian1218.dust.commons.data.HDataTable;

import java.io.IOException;
import java.lang.reflect.Type;
import java.util.Map;

public class HDataRowSerializer implements ObjectSerializer {
    @Override
    public void write(JSONSerializer serializer, Object object, Object fieldName, Type fieldType, int features) {
        HDataRow row = (HDataRow) object;
        serializer.write(row.toJSON());
    }
}
