package top.daxian1218.dust.commons.util;

import java.util.Date;

/**
 * 时间戳工具
 * @author hst
 */
public class TimestampUtil {
    public static long getUnixTimestamp(Date dt) {
        return getTimestamp(dt) / 1000L;
    }

    public static long getTimestamp(Date dt) {
        if (dt == null) {
            return System.currentTimeMillis();
        }

        return dt.getTime();
    }

    public static Date getDateTimeOfUnix(long unixTimestamp) {
        return new Date(unixTimestamp * 1000);
    }
}
