package top.daxian1218.dust.commons.data;

public enum StatType {
    NONE(0),
    SUM(1),
    AVG(2),
    MAX(3),
    MIN(4),
    COUNT(5);

    final int value;

    StatType(int v) {
        value = v;
    }

    public static StatType valueOf(int v) {
        for (StatType st : StatType.values()) {
            if (v == st.value) {
                return  st;
            }
        }

        return NONE;
    }
}
