package top.daxian1218.dust.commons.exception;

import org.apache.commons.lang3.StringUtils;

/**
 * 程序错误
 *
 * @author hst
 */
public class DustException extends RuntimeException {
    private String error;
    private int status = 5000;

    public DustException(String message, String error, Throwable cause) {
        super(message, cause);
        this.error = StringUtils.isEmpty(error) ? "0001" : error;
    }

    public String getError() {
        return getErrorSource() + error;
    }

    protected String getErrorSource() {
        return "0";
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    protected void setError(String error) {
        this.error = error;
    }

}
