package top.daxian1218.dust.commons.exception;

import org.apache.commons.lang3.StringUtils;

/**
 * @author hst
 */
public class DustSystemException extends DustException {

    public DustSystemException(String message) {
        super(message, "0001", null);
        setStatus(5001);
    }
    public DustSystemException(String message, String error, Throwable cause) {
        super(message, StringUtils.isEmpty(error) ? "0001" : error, cause);
        setStatus(5001);
    }

    public DustSystemException(String message, String error) {
        super(message, StringUtils.isEmpty(error) ? "0001" : error, null);
        setStatus(5001);
    }

    @Override
    protected String getErrorSource() {
        return "S";
    }
}
