package top.daxian1218.dust.commons.exception;

import org.apache.commons.lang3.StringUtils;

/**
 * @author hst
 */
public class DustThirdException extends DustException {
    public DustThirdException(String message, String error, Throwable cause) {
        super(message, error, cause);
        this.setError(StringUtils.isEmpty(error) ? "0001" : error);
        setStatus(5002);
    }

    @Override
    protected String getErrorSource() {
        return "T";
    }
}
