package top.daxian1218.dust.commons.exception;

import org.apache.commons.lang3.StringUtils;

/**
 * @author hst
 */
public class DustUserException extends DustException {
    public DustUserException(String message, String error, Throwable cause) {
        super(message, error, cause);
        this.setError(StringUtils.isEmpty(error) ? "0001" : error);
        setStatus(5003);
    }

    public DustUserException(String message) {
        this(message, null, null);
    }

    @Override
    protected String getErrorSource() {
        return "U";
    }
}
