package top.daxian1218.dust.commons.log;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.slf4j.helpers.NOPLogger;

/**
 * @author hst
 */
public class LoggerHelper {
    private static Logger logger = LoggerFactory.getLogger(LoggerHelper.class);

    public static Logger getLogger() {
        return logger;
    }
    public static void setLogger(Logger logger) {
        LoggerHelper.logger = logger;
    }

    public static void error(String msg) {
        logger.error(msg);
    }

    public static void error(String msg, Throwable ex) {
        logger.error(msg, ex);
    }

    public static void error(Throwable ex) {
        logger.error("系统异常", ex);
    }

    public static void info(String msg) {
        logger.error(msg);
    }

    public static void warning(String msg) {
        logger.warn(msg);
    }

    public static void debug(String msg) {
        logger.debug(msg);
    }

    public static void debug(Throwable ex) {
        logger.debug("调试异常", ex);
    }

    public static void debug(String msg, Throwable ex) {
        logger.debug(msg, ex);
    }


}
