package top.daxian1218.dust.commons.reflection;

public interface IBeanFactory {

    /**
     * 根据T 查找对应的Bean对象
     * @param <T>
     * @param cls
     * @return
     */
    <T> T getBean(Class<T> cls);

    /**
     * 根据T查找对应的Bean集合
     * @param <T>
     * @return
     */
    <T> Iterable<T> getBeans(Class<T> cls);


    /**
     * 根据名称获取Bean对象，支持类全名反射
     * @param name
     * @return
     */
    Object getBean(String  name);
}
