package top.daxian1218.dust.commons.util;

import java.util.List;

public class ListUtil {

    public static <T> T getValueOrNull(List<T> list, int index) {
        if (list == null) {
            return null;
        }

        if (index < 0 || index >= list.size()) {
            return null;
        }

        return list.get(index);
    }

    public static <T> void setValueOrNull(List<T> list, int index, T v) {
        if (list.size() <= index) {
            while (list.size() <= index) {
                list.add(null);
            }
        }
        list.set(index, v);
    }
}
