package top.daxian1218.dust.commons.util;

import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.PBEKeySpec;
import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.spec.InvalidKeySpecException;
import java.util.Base64;

/**
 * 加密类
 * @author hst
 */
public class PasswordUtil {
    private static final String UTF8 = "UTF-8";
    public static final String HashKey = "Ok2*%@$,.Kfg{]<.36oP";

    public static String encryptByMd5(String userCode, String password) {
        String primPassWord = md5(userCode.toLowerCase() + password);
        String hashKeyEncrypt = md5(HashKey);
        String hashCode = primPassWord.replace("-", "") + hashKeyEncrypt.replace("-", "");
        String secPassWord = md5(hashCode.toUpperCase()).replace("-", "");
        return secPassWord.toUpperCase();
    }

    public static String encryptByMd5(String md5Pwd) {
        String hashKeyEncrypt = md5(HashKey);
        String hashCode = md5Pwd.replace("-", "") + hashKeyEncrypt.replace("-", "");
        String secPassWord = md5(hashCode.toUpperCase()).replace("-", "");
        return secPassWord.toUpperCase();
    }

    public static String md5(String str) {
        char hexDigits[] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f'};
        MessageDigest md5 ;
        try {
            md5 = MessageDigest.getInstance("MD5");
            md5.update(str.getBytes(UTF8));
        } catch (NoSuchAlgorithmException | UnsupportedEncodingException e) {
            e.printStackTrace();
            throw new RuntimeException(e.getMessage());
        }
        byte[] encodedValue = md5.digest();
        int j = encodedValue.length;
        char finalValue[] = new char[j * 2];
        int k = 0;
        for (byte encoded : encodedValue) {
            finalValue[k++] = hexDigits[encoded >> 4 & 0xf];
            finalValue[k++] = hexDigits[encoded & 0xf];
        }

        return new String(finalValue).toUpperCase();
    }

    public static String encryptByPdkdf2(String password) throws InvalidKeySpecException, NoSuchAlgorithmException {

        char[] chars = password.toCharArray();
        byte[] salt = HashKey.getBytes();
        PBEKeySpec spec = new PBEKeySpec(chars, salt, 10000, 256);
        SecretKeyFactory skf = SecretKeyFactory
                .getInstance("PBKDF2WithHmacSHA1");
        byte[] hash = skf.generateSecret(spec).getEncoded();
        return Base64.getEncoder().encodeToString(hash);
    }

}
